Page MenuHomePhabricator

RFC: Service split along presentation vs data manipulation line
Closed, DeclinedPublic

Event Timeline

RobLa-WMF raised the priority of this task from to Needs Triage.
RobLa-WMF updated the task description. (Show Details)
RobLa-WMF added a project: TechCom-RFC.
RobLa-WMF moved this task to P1: Define on the TechCom-RFC board.
RobLa-WMF added a subscriber: RobLa-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 9:08 PM
bd808 added a subscriber: bd808.Feb 28 2015, 12:39 AM
daniel assigned this task to brion.Mar 4 2015, 8:26 PM
daniel moved this task from P1: Define to Old on the TechCom-RFC board.
daniel added a subscriber: daniel.
daniel updated the task description. (Show Details)Mar 4 2015, 8:31 PM
daniel updated the task description. (Show Details)

This was discussed in yesterday's RFC office hours meeting. There's general support for the split, but RFC needs more details, especially on how PHP code (like special pages) calls backend services.

Yurik added a subscriber: Yurik.Mar 27 2015, 12:48 PM
brion removed brion as the assignee of this task.Sep 2 2015, 8:15 PM

Not actively worked on right now; deassigning.

kaldari removed a subscriber: kaldari.Sep 9 2015, 9:31 PM
daniel added a comment.Jan 9 2018, 6:04 PM

The RFC has seen no activity in a long time. It does not really make any concrete proposal Perhaps it could become a proposal for an architecture guideline, but then that proposed guideline would have to be written first. Or the RFC could propose an effort to refactor API modules, Special pages and Action classes to extract the application logic in a presentation-neutral manner.

Closing this RFC without current backing in favour of more active current proposals:

I've merged the external links from this task and mediawiki.org page to T111588.

Krinkle closed this task as Declined.Jan 31 2018, 12:31 AM
Krinkle moved this task from Old to Declined on the TechCom-RFC board.
Krinkle updated the task description. (Show Details)